<?xml version="1.0" encoding="gb2312"?>
<xs:schema xmlns="http://www.h3c.com/netconf/data:1.0" xmlns:base="http://www.h3c.com/netconf/base:1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.h3c.com/netconf/data:1.0" elementFormDefault="qualified">
	<xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
	<xs:annotation>
		<xs:documentation>
      FTP module data definition.
    </xs:documentation>
	</xs:annotation>
	<xs:element name="FTP">
		<xs:complexType>
			<xs:all>
				<xs:element name="Capabilities" minOccurs="0">
					<xs:annotation>
						<xs:documentation>FTP capabilities server table.</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:all>
							<xs:element name="FtpServerSupport" type="base:Boolean" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>FTP supported or not</xs:documentation>
								</xs:annotation>
							</xs:element>
						</xs:all>
						<xs:attributeGroup ref="base:TableAttributeGroup"/>
					</xs:complexType>
				</xs:element>
				<xs:element name="Server" minOccurs="0">
					<xs:annotation>
						<xs:documentation>FTP server table.</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:all>
							<xs:element name="State" type="base:EnableState" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Global FTP Server feature.</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="Ipv4DSCP" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Set the IPv4 Differentiated Services Codepoint (DSCP) value.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:UnsignedInteger32">
											<xs:minInclusive value="0"/>
											<xs:maxInclusive value="63"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
							<xs:element name="Ipv6DSCP" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Set the IPv6 Differentiated Services Codepoint (DSCP) value.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:UnsignedInteger32">
											<xs:minInclusive value="0"/>
											<xs:maxInclusive value="63"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
							<xs:element name="Ipv4ACLNum" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Specify an IPv4 ACL used to control the FTP clients' access.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:UnsignedInteger32">
											<xs:minInclusive value="2000"/>
											<xs:maxInclusive value="3999"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
							<xs:element name="Ipv6ACLNum" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Specify an IPv6 ACL used to control the FTP clients' access.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:UnsignedInteger32">
											<xs:minInclusive value="2000"/>
											<xs:maxInclusive value="3999"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
							<xs:element name="Timeout" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Specify FTP timeout value.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:UnsignedInteger32">
											<xs:minInclusive value="1"/>
											<xs:maxInclusive value="35791"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
							<xs:element name="SslServerPolicy" nillable="true" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Specify an SSL server poloicy for the FTP server.</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:simpleContent>
										<xs:restriction base="base:String">
											<xs:minLength value="1"/>
											<xs:maxLength value="31"/>
										</xs:restriction>
									</xs:simpleContent>
								</xs:complexType>
							</xs:element>
						</xs:all>
						<xs:attributeGroup ref="base:TableAttributeGroup"/>
					</xs:complexType>
				</xs:element>
			</xs:all>
			<xs:attributeGroup ref="base:NodeAttributeGroup"/>
		</xs:complexType>
	</xs:element>
</xs:schema>
